%define	name		mm
%define	version		1.1.2
%define release		1
%define buildroot	/var/tmp/%{name}-buildroot

Summary:	Shared Memory Abstraction Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	BSD-style, OpenSource
Group:		Libraries
Source:		http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
Provides:	mm
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Packager:	Edward S. Marshall <emarshal@logic.net>
Url:		http://www.engelschall.com/sw/mm/
BuildRoot:	%{buildroot}

%description
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

The library is released under the term of an open-source (BSD-style) license
because it's originally written for a proposed use inside next versions of
the Apache webserver as a base library for providing shared memory pools to
Apache modules (because currently Apache modules can only use heap-allocated
memory which isn't shared accross the pre-forked server processes). The
requirement actually comes from comprehensive modules like mod_ssl, mod_perl
and mod_php which would benefit a lot from easy to use shared memory pools.
Mostly all functionality (except for shared locks in addition to exclusive
locks and multi-segment memory areas instead of single-segment memory areas)
is already implemented and the library already works fine under FreeBSD,
Linux and Solaris and should also adjust itself for most other Unix platforms
with it's GNU Autoconf and GNU Libtool based configuration and compilation
procedure. 

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
make test

%install
make install prefix=$RPM_BUILD_ROOT/usr
chmod -v 755 $RPM_BUILD_ROOT/usr/lib/libmm.so.*.*.*
find $RPM_BUILD_ROOT/usr -type f -print | \
  sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist

%post
ldconfig

%postun
rm -f /usr/lib/libmm.so
rm -f /usr/lib/libmm.so.10
ldconfig

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog LICENSE README THANKS

%changelog
* Fri May 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.1.2
- added URL to spec
- %doc slightly changed

* Wed Feb  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- build root changed from '/tmp/...' to '/var/tmp/...'
- added vendor
- RPM_OPT_FLAGS passed to CFLAGS

* Sat Jan 22 2000 Edward S. Marshall <emarshal@logic.net>
- updated for mm 1.0.12

* Tue Sep 7 1999 Nicolai Schleifer <ns@dom.de>
- using buildroot feature
- using -f feature of the files macro
- started from scratch
